﻿<div></div>

@section google_signin{
    <meta name="google-signin-scope" content="profile email">
    <meta name="google-signin-client_id" content="651691815121-6nftmg6c55j2ftja4lf2atr43spnb2gj.apps.googleusercontent.com">
    <script src="https://apis.google.com/js/platform.js" async defer></script>
}

@section script{
    <script>
        $(document).ready(function () {
            console.log("LOGOUT!!!")
            window.onbeforeunload = function(e){
              gapi.auth2.getAuthInstance().signOut();
            };
            window.gapi.load('client:auth2', () => {
                window.gapi.client.init({
                    clientId: '651691815121-6nftmg6c55j2ftja4lf2atr43spnb2gj.apps.googleusercontent.com',
                    scope: 'profile email',
                    plugin_name: 'chat',
                    'isSignedIn': false,
                    'is_signed_in': false
                })
                gapi.auth.setToken(null);
                gapi.auth.signOut();
                window.location.href = '/auth/logout-process';
            });

        });
    </script>
}